services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    App\Application\Controller\:
        resource: '../../src/Application/Controller'
        tags: ['controller.service_arguments']

    App\Domain\:
        resource: '../../src/Domain/*/Controller'
        tags: ['controller.service_arguments']

    App\Domain\Registry\Controller\ProofController:
        arguments:
            $documentFilesystem: '@gaufrette.registry_proof_document_filesystem'

    App\Domain\Documentation\Controller\DocumentController:
        arguments:
            $documentFilesystem: '@gaufrette.documentation_document_filesystem'
            $thumbFilesystem: '@gaufrette.documentation_thumbnail_filesystem'

    App\Domain\User\Controller\CollectivityController:
        arguments:
            $logoFilesystem: '@gaufrette.collectivity_logo_filesystem'


    App\Domain\User\Controller\SecurityController:
        arguments:
            $sso_type: '%SSO_TYPE%'
            $sso_key_field: '%SSO_KEY_FIELD%'

    App\Domain\User\Controller\ProfileController:
        arguments:
            $sso_type: '%SSO_TYPE%'
            $logoFilesystem: '@gaufrette.collectivity_logo_filesystem'

    App\Domain\AIPD\Controller\ModeleAnalyseController:
        arguments:
            $fichierFilesystem: '@gaufrette.aipd_critere_principe_fondamentaux_fichier_filesystem'

    App\Domain\AIPD\Controller\AnalyseImpactController:
        arguments:
            $fichierFilesystem: '@gaufrette.aipd_critere_principe_fondamentaux_fichier_filesystem'
